> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mynkwa.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get availability of telecom operator

> Check which operators and operations are currently available.



## OpenAPI

````yaml nkwa-pay-openapi GET /availability
openapi: 3.0.1
info:
  title: Nkwa Pay API
  description: >-
    Use this API to integrate mobile money across your payment flows, create and
    manage payments, collections, and disbursements. Read the docs at
    https://docs.mynkwa.com/api-reference
  license:
    name: MIT
  version: 1.0.0
  contact:
    name: Nkwa
    url: https://mynkwa.com
    email: info@mynkwa.com
servers:
  - url: https://api.pay.staging.mynkwa.com
    description: Sandbox server (uses test data)
  - url: https://api.pay.mynkwa.com
    description: Production server (uses live data)
security:
  - ApiKeyAuth: []
paths:
  /availability:
    get:
      description: Check which operators and operations are currently available.
      responses:
        '200':
          description: Operator availability data
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Availability'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
        '500':
          description: An error occurred
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
components:
  schemas:
    Availability:
      type: object
      properties:
        operator:
          type: string
          enum:
            - mtn
            - orange
        operation:
          type: object
          properties:
            type:
              type: string
              enum:
                - collection
                - disbursement
            status:
              type: string
              enum:
                - OPERATIONAL
                - SUSPENDED
    HttpError:
      type: object
      properties:
        details:
          type: array
          items: {}
        message:
          type: string
        statusCode:
          type: integer
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      name: X-API-Key
      in: header

````